Skip to main content
POST
Create Chat

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
message
string | null

The first message. Omit it to create an empty chat and send messages with POST /v1/chat/{chat_id}/messages.

Response

Successful Response

Response from POST /v1/chat.

id
string
required

The chat's id

url
string
required

The chat in the Happenstance app

turn_id
string | null

The first message's turn, when a message was sent

status
enum<string> | null

The turn's status, when a message was sent

Available options:
queued,
running,
completed,
failed,
cancelled
warning
string | null

Warning message when credit balance is low